Last Comment Bug 753939 - Add logic so makeutils.mk can autoload library makefiles on demand.
: Add logic so makeutils.mk can autoload library makefiles on demand.
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Joey Armstrong [:joey]
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks: 747540 748452 748470 751167
  Show dependency treegraph
 
Reported: 2012-05-10 11:53 PDT by Joey Armstrong [:joey]
Modified: 2012-05-12 09:00 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
makeutils.mk .mk loading logic with unit tests (18.18 KB, patch)
2012-05-10 13:10 PDT, Joey Armstrong [:joey]
ted: review+
Details | Diff | Splinter Review

Description Joey Armstrong [:joey] 2012-05-10 11:53:02 PDT
+++ This bug was initially created as a clone of Bug #748470 +++

Split the dependency patch for 748470 into smaller pieces.

Separate out makeutils.mk edits setup to load autotargets.mk and unit test for the edits into a separate patch.
Comment 1 Joey Armstrong [:joey] 2012-05-10 13:10:19 PDT
Created attachment 622874 [details] [diff] [review]
makeutils.mk .mk loading logic with unit tests
Comment 2 Joey Armstrong [:joey] 2012-05-10 13:18:04 PDT
Comment on attachment 622874 [details] [diff] [review]
makeutils.mk .mk loading logic with unit tests

makeutils.mk logic and unit tests from bug 748470

makeutils.mk modified to act as a front end loader for other library makefiles.

# Include autotargets.mk to define mkdir-deps() early:
USE_AUTOTARGETS_MK = 1
include $(topsrcdir)/config/makefiles/makeutils.mk

Unit tests setup to verify loading.
Also compile time unit test code moved out of Makefile.in and into sub-makefiles so the main makefile will be easier to read.  Timestamp dependencies added so check tests will only run when a makefile or unit test is modified.

mkdir_deps: filter the pattern '//' from strings.  Very easy to create using:
  $(call mkdir_deps,$(dir $(path)))

Also fixed a GARBAGE/clean rule.  GARBAGE_DIRS should be assigned GENERATED_DIRS not the timestamp files contained within them.
Comment 3 Joey Armstrong [:joey] 2012-05-10 13:18:34 PDT
code was tested before but another try job is in the pipeline for these isolated edits.
Comment 4 Joey Armstrong [:joey] 2012-05-11 05:47:14 PDT
Try job passed last night: https://tbpl.mozilla.org/?tree=Try&rev=518809ddc158
Comment 5 John Ford [:jhford] CET/CEST Berlin Time 2012-05-11 11:48:13 PDT
Comment on attachment 622874 [details] [diff] [review]
makeutils.mk .mk loading logic with unit tests

Landed on inbound

http://hg.mozilla.org/integration/mozilla-inbound/rev/2006a862d66b
Comment 6 Matt Brubeck (:mbrubeck) 2012-05-12 09:00:28 PDT
https://hg.mozilla.org/mozilla-central/rev/2006a862d66b

Note You need to log in before you can comment on or make changes to this bug.